<?php
/*
 * Este arquivo monta a modal que possibilita ao cliente criar um novo contato com um número do win7 fone.
 */
 
require_once(__DIR__ . "/../classes/Sistema.php"); 
require_once(__DIR__ . "/../classes/Sistema_Win7Fone.php"); 
set_sistema(Sistema::WIN7);
$sistema = new Sistema(true, true);

// Redireciona o cliente para a home caso ele não tenha permissão de acesso às indicações
if($sistema->usuario->permissao_3cx == Usuario::PERM_NENHUMA) {echo "-2Permissão insuficiente para ver esta página!"; exit;}

if(!empty($_GET['d'])){
	$filename =  realpath(__DIR__ . "/../../3cx-audio/") . '/' . $_GET['d'] . ".mp3";
	if (file_exists($filename) & dirname($filename) == realpath(__DIR__ . "/../../3cx-audio/")) {
		header("Content-Transfer-Encoding: binary");
		header("Content-Type: audio/mpeg, audio/x-mpeg, audio/x-mpeg-3, audio/mpeg3");
		header('Content-length: ' . filesize($filename));
		header('Content-Disposition: attachment; filename="' . $_GET['d'] . '.mp3"');
		header('X-Pad: avoid browser bug');
		header('Cache-Control: max-age=60');
		readfile($filename);
		exit;
	}
	else {
		header($_SERVER['SERVER_PROTOCOL'].' 404 Not Found', true, 404);
	}
}
else if(!empty($_GET['dl'])){
	$filename = realpath(__DIR__ . "/../../3cx-audio/") . '/' . $_GET['dl'] . ".mp3";
	if (file_exists($filename) & dirname($filename) == realpath(__DIR__ . "/../../3cx-audio/")) {
		header("Content-Transfer-Encoding: binary");
		header("Content-Type: file/download");
		header('Content-length: ' . filesize($filename));
		header('Content-Disposition: attachment; filename="' . $_GET['dl'] . '.mp3"');
		header('X-Pad: avoid browser bug');
		header('Cache-Control: max-age=60');
		readfile($filename);
		exit;
	}
	else {
		header($_SERVER['SERVER_PROTOCOL'].' 404 Not Found', true, 404);
	}
}
?>